Subject: Re: bug#12380: other window related commands broken

From: Doug Morgan <[email-masked]>
Date: Fri, 07 Sep 2012 15:16:43 -0700

I had only tested it with "emacs -q" (forgot about the Q version).  
However, retesting with "emacs -Q" gives the same behavior.  Also, the 
menu only has "Send Bug Report..." which doesn't work for me "Wrong type 
argument: string, nil" after I enter a subject title (never having set 
up emacs to handle mail).

Inside the unsent email buffer was this interesting looking text (and it 
looked like it would go to [email-masked] so I'm cc'ing that:

In GNU Emacs 24.2.1 (i686-pc-cygwin, GTK+ Version 2.24.11)
  of 2012-08-27 on fiona
Windowing system distributor `The Cygwin/X Project', version 11.0.11204000
Configured using:
  `configure
  '--srcdir=/home/kbrown/src/cygemacs/emacs-24.2-1/src/emacs-24.2'
  '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin'
  '--sbindir=/usr/sbin' '--libexecdir=/usr/lib' '--datadir=/usr/share'
  '--localstatedir=/var' '--sysconfdir=/etc' '--datarootdir=/usr/share'
  '--docdir=/usr/share/doc/emacs' '-C' '--without-gsettings'
  '--without-gconf' 'CC=gcc' 'CFLAGS=-ggdb -O2 -pipe
  -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.2-1/build=/usr/src/debug/emacs-24.2-1
  -fdebug-prefix-map=/home/kbrown/src/cygemacs/emacs-24.2-1/src/emacs-24.2=/usr/src/debug/emacs-24.2-1'
  'LDFLAGS=-L/usr/lib/ncursesw' 'LIBS='
  'CPPFLAGS=-I/usr/include/ncursesw''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Doug

On 9/7/2012 1:26 PM, martin rudalics wrote:
>> Edit a file
>> C-x 2
>> (OK, now you have a two windows split horizontally)
>> C-x C-b
>> One of the windows **splits vertically**(!!) to show the buffer menu. 
>
> With emacs -Q here the lower window is used.
>
>> Older versions of emacs (I don't know how far back you have to go) 
>> use the "other" window of the two horizontally split window to 
>> display the menu.  The old way is by far the better way.  The same 
>> thing happens with C-x 4 C-f and I think other C-x 4 commands. All 
>> make for annoying work cleaning up your windows after the unwanted 
>> vertical splits happen.
>
> Please test with emacs -Q and from the Help menu use the entry
> "How to Report a Bug" in order to provide the necessary information.
>
> Thanks, martin
>
>